Name:       ibus-table-cangjie
Version:    1.1.0.20090309
Release:    3%{?dist}
Summary:    Cang Jie input methods for ibus-table
License:    Public Domain and GPLv2+ 
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:    COPYING.tables

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

# for noarch pkgconfig
BuildRequires: ibus-table >= 1.1.0.20090220-5
BuildRequires:  gettext-devel >= 0.17, automake >= 1.10.1
Requires(post):   ibus-table > 1.1.0

%description
The package contains Cang Jie input methods for Table engine of IBus platform. 

%prep
%setup -q
%__cp COPYING icons/COPYING.icons
%__cp %{SOURCE1} tables/COPYING.tables

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb --no-create-index"
./autogen.sh \
    --prefix=%{_prefix} \
    --enable-cangjie5 \
    --enable-cangjie3 \
    --enable-quick5 \
    --enable-quick3
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} NO_INDEX=true INSTALL="install -p" install

%clean
rm -rf %{buildroot}

%post
%{_bindir}/ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/cangjie3.db
%{_bindir}/ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/cangjie5.db
%{_bindir}/ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/quick3.db
%{_bindir}/ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/quick5.db

%files
%defattr(-,root,root,-)
%doc AUTHORS icons/COPYING.icons tables/COPYING.tables README
%{_datadir}/ibus-table/tables/cangjie3.db
%{_datadir}/ibus-table/tables/cangjie5.db
%{_datadir}/ibus-table/tables/quick3.db
%{_datadir}/ibus-table/tables/quick5.db
%{_datadir}/ibus-table/icons/cangjie3.svg
%{_datadir}/ibus-table/icons/cangjie5.svg
%{_datadir}/ibus-table/icons/quick3.png
%{_datadir}/ibus-table/icons/quick5.png

%changelog
* Wed Jun 03 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090309-3.fc10
- Resolves: rhbz#503674 (Problem of index creation during post-install.)
- Removed bootstrap.

* Thu May 28 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090309-2.fc10
- Fixed BuildRequires.

* Thu May 28 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090309-1.fc10
- Backported from F-10.
